/// @addtogroup repSet
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file RepSet_ECube.cpp
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2006 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#include "repSet/RepSet.hpp"
#include "repSet/elementaryCell.h"

template RepSet<ElementaryCell>&  RepSet<ElementaryCell>::operator-=(const RepSet<ElementaryCell>&  s);
template RepSet<ElementaryCell>&  RepSet<ElementaryCell>::operator*=(const RepSet<ElementaryCell>&  s);

template bool RepSet<ElementaryCell>::operator<=(const RepSet<ElementaryCell>&  s) const;

template void RepSet<ElementaryCell>::enclosingBox(int minCoords[],int maxCoords[]) const;
template void RepSet<ElementaryCell>::lowerEnclosingBox(int minCoords[],int maxCoords[]) const;

template RepSet<ElementaryCell> operator+ <ElementaryCell>(const RepSet<ElementaryCell>&  s1,const RepSet<ElementaryCell>&  s2);
template RepSet<ElementaryCell> operator- <ElementaryCell>(const RepSet<ElementaryCell>&  s1,const RepSet<ElementaryCell>&  s2);
template RepSet<ElementaryCell> operator* <ElementaryCell>(const RepSet<ElementaryCell>&  s1,const RepSet<ElementaryCell>&  s2);

template std::istream& operator>> <ElementaryCell>(std::istream& inp, RepSet<ElementaryCell>&  A_RepSet);
template std::ostream& operator<< <ElementaryCell>(std::ostream& out, const RepSet<ElementaryCell>&  A_RepSet);
